<?php

namespace App\Dto;

readonly class SnipFilterRequest implements CachableDtoInterface
{
    public const string SORT_NAME = 'name';
    public const string SORT_DATE = 'date';

    public function __construct(
        public bool $onlyVisible = true,
        public ?string $sort = self::SORT_DATE,
    ) {}

    public function toArray(): array
    {
        return [
            'onlyVisible' => $this->onlyVisible,
        ];
    }
}